Name:		xfwp
Version:	1.0.3
Release:	%mkrel 7
Summary:	X firewall proxy
Group:		Development/X11
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT

BuildRequires: pkgconfig(ice) >= 1.0.0
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The X firewall proxy (xfwp) is an application layer gateway proxy that
may be run on a network firewall host to forward X traffic across the
firewall. Used in conjunction with the X server Security extension and
authorization checking, xfwp constitutes a safe, simple, and reliable
mechanism both to hide the addresses of X servers located on the
Intranet and to enforce a server connection policy.

%prep
%setup -q

%build
%configure --disable-strict-compilation --disable-selective-werror
%make

%install
%make_install

%files
%{_bindir}/xfwp
%{_mandir}/man1/xfwp.1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-7.mga8
+ Revision: 1518805
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-6.mga7
+ Revision: 1301905
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.0.3-5.mga6
+ Revision: 936247
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 744962
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 690657
- Mageia 5 Mass Rebuild

* Sat Nov 02 2013 fwang <fwang> 1.0.3-2.mga4
+ Revision: 549059
- disable werror
- disable compile errors
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 1.0.3-1.mga4
+ Revision: 464517
- 1.0.3

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 386975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.2-1.mga1
+ Revision: 27765
- imported package xfwp


* Mon Jan 10 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.2-1mdv2011.0
+ Revision: 630850
- New version: 1.0.2
- Remove redundant configure options

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-9mdv2011.0
+ Revision: 608209
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2010.1
+ Revision: 524445
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 351134
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 226041
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 154736
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 76528
- rebuild for 2008
- add description
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

